Skip to main content
POST
/
locations
/
{location_id}
/
asset_type_categories
Add Asset Category
curl --request POST \
  --url https://api.crosoftware.com/v0/locations/{location_id}/asset_type_categories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "name": "<string>",
  "code": "<string>",
  "description": "<string>"
}
'
import requests

url = "https://api.crosoftware.com/v0/locations/{location_id}/asset_type_categories"

payload = {
"name": "<string>",
"code": "<string>",
"description": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', code: '<string>', description: '<string>'})
};

fetch('https://api.crosoftware.com/v0/locations/{location_id}/asset_type_categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": "<string>",
  "description": "<string>",
  "id": 123,
  "location_id": 123,
  "name": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

x-tenant-id
integer<int64>
required

Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.

Path Parameters

location_id
integer<int64>
required

Location identifier.

Body

application/json

Create asset type category model.

name
string
required

Category name.

code
string

Category code.

description
string

Category name.

Response

200 - application/json

Success

Customer address.

code
string
required

Category code.

description
string
required

Category name.

id
integer<int64>
required

Asset type category id.

location_id
integer<int64>
required

Location identifier.

name
string
required

Category name.